Skip to main content link. Accesskey S

The useful resource for IBM Lotus Domino XPages development

Submit Search


Home > Getting ready for production > Browser compatibility
xpageswiki.com
is maintained by 
Julian Buss.
and hosted by laurus.ch.
Julian Buss
Created by Anonymous on 21.10.2009 19:15:08

Hi, thank you for this info.

I have used this code in my xpage and it's working fine, so now I can see it in IE 7 and 8, but I'm having issues with Firefox 3.5. Is there a similar solution for Firefox 3.5? Thank you!


Created by Julian Buss on 25.10.2009 00:18:04

the solution is to use Domino 8.5.1. :-)


Created by Anonymous on 26.05.2010 15:37:08

In the theme code** match("iPhone") should read match('iPhone')


Created by Julian Buss on 27.05.2010 20:47:35

fixed, thanks!


Created by Anonymous on 04.02.2011 17:09:46

What about the opposite?

I have an XPages based site using 8.5.2 and the Extension Library. It seems to work much better not in IE 7 Compatability mode of IE 8, but users still using Compatability mode from before the Domino server upgrade and Extension Library added.

I really need to force IE 8 to not use Compatability Mode for this application.

Any ideas?


Created by Bruce Elgort on 10.06.2011 23:29:40

Thank you for the info on this page! Saved my butt!


Created by Judy K on 13.12.2011 21:16:45

I use this to force IE users to use edge-mode if it's available which prevents someone from putting your site into compatibility mode.

// X-UA-Compatible: IE=edge (will be highest possible renderer for that version)

var ua = context.getUserAgent();

var versionNbr = ua.getBrowserVersionNumber();

if (ua.isIE() && versionNbr >= 8.0) {

var exCon = facesContext.getExternalContext();

var response = exCon.getResponse();

response.setHeader("X-UA-Compatible", "IE=edge");

};


Created by Mark Corrigan on 08.05.2013 22:38:54

Is there anything out there to force ie9 to act like ie7? IE9 doesn't play well with Xpage functions.


Created by Julian Buss on 28.05.2013 07:27:36

Mark: you can use the X-UA-Compatible header fore every Internet Explorer, including 9.


Created by rjohnson on 14.08.2013 23:49:57

Where and what code should I put the code to make it render in IE8 Standards' mode?